Debian Bug report logs - #493316
audit2why.so: undefined symbol: Py_InitModule4

version graph

Package: python-selinux; Maintainer for python-selinux is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for python-selinux is src:libselinux.

Reported by: Russell Coker <russell@coker.com.au>

Date: Sat, 2 Aug 2008 00:57:02 UTC

Severity: normal

Found in version libselinux/2.0.65-2

Fixed in versions libselinux/2.0.65-3, python-selinux/2.0.65-3

Done: Manoj Srivastava <srivasta@golden-gryphon.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#493316; Package python-selinux. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: audit2why.so: undefined symbol: Py_InitModule4
Date: Sat, 02 Aug 2008 10:54:10 +1000
Package: python-selinux
Version: 2.0.65-2
Severity: normal

The audit2why program from policycoreutils version 2.0.49-5 fails in the
following manner, I don't know why.

# audit2why < /dev/null
Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 348, in <module>
    app.main()
  File "/usr/bin/audit2allow", line 342, in main
    self.__output()
  File "/usr/bin/audit2allow", line 289, in __output
    return self.__output_audit2why()
  File "/usr/bin/audit2allow", line 222, in __output_audit2why
    import selinux.audit2why as audit2why
ImportError: /var/lib/python-support/python2.5/selinux/audit2why.so: undefined symbol: Py_InitModule4




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#493316; Package python-selinux. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #10 received at 493316@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: russell@coker.com.au, 493316@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: I need some help from Python Experts for SE Linux bug #493316
Date: Sat, 02 Aug 2008 04:36:22 +0200
[Message part 1 (text/plain, inline)]
Le samedi 02 août 2008 à 11:45 +1000, Russell Coker a écrit :
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493316

ImportError: /var/lib/python-support/python2.5/selinux/audit2why.so: undefined symbol: Py_InitModule4

This file is built against python2.4, because of insufficient cleanup.
The following fix (untested) should do the trick.

--- debian/local.mk.orig	2008-08-02 04:30:11.283617192 +0200
+++ debian/local.mk	2008-08-02 04:33:43.159612186 +0200
@@ -132,6 +132,7 @@
 	$(make_directory)   $(EXTENSIONS_DIR)     
 	for version in $(ALL_PY_VERSIONS); do                          \
           rm -f             src/$(SWIGSO) src/$(SWIGLOBJ);             \
+          rm -f             src/audit2why.lo src/audit2why.so          \
           $(MAKE) -C src DESTDIR=$(TMPTOP) PYLIBVER=python$$version    \
                   PYTHONLIBDIR=$(PYTHONLIBDIRTOP)/python$$version/     \
                   pywrap install-pywrap;                               \

> Feel free to NMU at priority high if it's a simple fix that doesn't require 
> discussion.

Brrrr, I think I’ll let you integrate the fix in the way you see fit for
this insane build system.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Manoj Srivastava <srivasta@golden-gryphon.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 493316-done@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@golden-gryphon.com>
To: 493316-done@bugs.debian.org
Subject: This was actually fixed in the last upload
Date: Sat, 30 Aug 2008 03:01:23 -0500
Package: python-selinux
Version: 2.0.65-3

  * Added patch from Josselin Mouette to fix build problem.
    Closes: #493316

        manoj
-- 
If it wasn't for Newton, we wouldn't have to eat bruised apples.
Manoj Srivastava <srivasta@acm.org> <http://www.golden-gryphon.com/>  
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C




Bug Marked as fixed in versions libselinux/2.0.65-3. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 07 Mar 2012 21:57:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Apr 2012 07:34:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:02:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.